Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 891431 - Pre/post stop hooks aren't getting called for ruby cartridges
Summary: Pre/post stop hooks aren't getting called for ruby cartridges
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Mrunal Patel
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 22:13 UTC by Mrunal Patel
Modified: 2015-05-14 23:03 UTC (History)
2 users (show)

Fixed In Version: devenv_2642
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 23:40:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mrunal Patel 2013-01-02 22:13:43 UTC
Description of problem:
pre/post stop hooks aren't getting called for ruby cartridges.

Comment 2 Jianwei Hou 2013-01-08 04:27:03 UTC
Verified on devenv_2642

Steps:
1. Create ruby-1.8/ruby-1.9 app
2. Add some commands to pre/post stop hooks
eg: 
touch $OPENSHIFT_REPO_DIR/pre_stop.log
touch $OPENSHIFT_REPO_DIR/post_stop.log
3. Git push 
4. stop the application
rhc app stop $app_name
5. ssh into app gear, check files are created

Result:
[r18-2642t1.dev.rhcloud.com ~]\> ls $OPENSHIFT_REPO_DIR 
config.ru  post_stop.log  pre_stop.log	public	README	tmp


Files are created, pre/post stop hooks are called


Note You need to log in before you can comment on or make changes to this bug.